
// (c) 2003, Ivan Yanikov, dobrokot 'at' gmail.com 

//error.cpp by Winnie
#include "error.h"
#include <iostream>
#include <windows.h>
#pragma hdrstop

Error::Error(std::string message, int error_code):
  msg(message), err_code(error_code)
{
};


void Error::Print()
{
  std::cerr <<msg;
  if (err_code)
    std::cerr  <<' ' <<err_code;
  std::cerr  <<std::endl;
  MessageBox(0, msg.c_str(), "error", MB_OK);
};

