// (c) 2003, Ivan Yanikov, dobrokot 'at' gmail.com 
#include "file.h"
#include "error.h"
#pragma hdrstop

File::File(std::string filename, std::string how)
{
  fd=std::fopen(filename.c_str(), how.c_str());
  if (0==fd)
    throw Error (
      std::string("can't open file ") +
      filename +
      "(" +
      how +
      ") File::File()"
    );
}

int File::Read(void *buf, int size)
{
  return fread(buf, 1, size, fd);
}

void File::Write(void *buf, int size)
{
  fwrite(buf, size, 1, fd);
}



