// (c) Ivan Yanikov, dobrokot 'at' gmail.com
#ifndef FILE_H_
#define FILE_H_

#include <string>
#include <cstdio>

class File
{
    std::FILE *fd;
  public:
    File(std::string FileName, std::string how);
    ~File() { fclose(fd); };
    int Read(void *buf, int size);
    template <class T> int ReadSmart(T &towhere, int how_many=1)
    {
      return Read(&towhere, how_many*sizeof(towhere));
    };
    void Write(void *buf, int size);
};

#endif